diff -ru --exclude=CVS --exclude='*index' --exclude=basepop11.map --exclude=ref --exclude=help --exclude=teach v15.63/pop/src/aarith.s v15.6301-amd64/pop/src/aarith.s
--- v15.63/pop/src/aarith.s	2003-01-07 13:46:55.000000000 -0500
+++ v15.6301-amd64/pop/src/aarith.s	2005-03-11 06:16:00.000000000 -0500
@@ -1,4 +1,4 @@
-/* --- Copyright University of Sussex 2002. All rights reserved. ----------
+/* --- Copyright University of Sussex 1996. All rights reserved. ----------
  * File:        S.pcunix/src/aarith.s
  * Purpose:     Arithmetic routines for Intel 80x86 (Unix assembler)
  * Author:      Robert Duncan, Oct 31 1988 (see revisions)
@@ -15,8 +15,8 @@
 
 lconstant macro	(
 
-	USP 			= "ebx",
-	PB			= "ebp",
+	USP 			= "rbx",
+	PB			= "rbp",
 
 	_PD_EXECUTE  		= @@PD_EXECUTE,
 	_PD_ARRAY_TABLE		= @@PD_ARRAY_TABLE,
@@ -56,40 +56,40 @@
 
 DEF_C_LAB 4 (_biset)
 
-	movl	(%USP), %eax
-	addl	$4, %USP
-	orl	%eax, (%USP)
+	movq	(%USP), %rax
+	addq	$8, %USP
+	orq	%rax, (%USP)
 	ret
 
-	.align	4
+	.align  16
 
 DEF_C_LAB 4 (_biclear)
 
-	movl	(%USP), %eax
-	addl	$4, %USP
-	notl	%eax
-	andl	%eax, (%USP)
+	movq	(%USP), %rax
+	addq	$8, %USP
+	notq	%rax
+	andq	%rax, (%USP)
 	ret
 
-	.align	4
+	.align  16
 
 DEF_C_LAB 4 (_bimask)
 
-	movl	(%USP), %eax
-	addl	$4, %USP
-	andl	%eax, (%USP)
+	movq	(%USP), %rax
+	addq	$8, %USP
+	andq	%rax, (%USP)
 	ret
 
-	.align	4
+	.align  16
 
 DEF_C_LAB 4 (_bixor)
 
-	movl	(%USP), %eax
-	addl	$4, %USP
-	xorl	%eax, (%USP)
+	movq	(%USP), %rax
+	addq	$8, %USP
+	xorq	%rax, (%USP)
 	ret
 
-	.align	4
+	.align  16
 
 
 ;;; === MACHINE INTEGER ARITHMETIC ====================================
@@ -102,19 +102,19 @@
 
 DEF_C_LAB 4 (_mult)
 
-	movl	(%USP), %eax
-	addl	$4, %USP
+	movq	(%USP), %rax
+	addq	$8, %USP
 
 	;;; Multiply EAX by (%USP); result goes to EDX:EAX
 
-	imull	(%USP)
+	imulq	(%USP)
 
 	;;; Return low half of result
 
-	movl	%eax, (%USP)
+	movq	%rax, (%USP)
 	ret
 
-	.align	4
+	.align  16
 
 ;;; _DIV
 ;;;	Signed division
@@ -126,21 +126,23 @@
 
 	;;; Move the dividend into EAX and sign-extend into EDX:EAX
 
-	movl	4(%USP), %eax
-	cltd
+	movq	8(%USP), %rax
+;;;     	cdtq
+        movq    %rax, %rdx
+        sarq    $63, %rdx
 
 	;;; Divide EDX:EAX by the divisor, (%USP),
 	;;; leaving the quotient in EAX and remainder in EDX
 
-	idivl	(%USP)
+	idivq	(%USP)
 
 	;;; Stack the remainder, then the quotient
 
-	movl	%edx, 4(%USP)
-	movl	%eax, (%USP)
+	movq	%rdx, 8(%USP)
+	movq	%rax, (%USP)
 	ret
 
-	.align	4
+	.align  16
 
 ;;; _DIVQ
 ;;;	Signed division, quotient only
@@ -152,20 +154,22 @@
 
 	;;; Move the dividend into EAX and sign-extend into EDX:EAX
 
-	movl	4(%USP), %eax
-	cltd
+	movq	8(%USP), %rax
+;;; XXXXXXXXXXX @@@@@@@ cltd
+        movq    %rax,%rdx
+	sarq    $63,%rdx
 
 	;;; Divide EDX:EAX by the divisor, (%USP),
 	;;; leaving the quotient in EAX and remainder in EDX
 
-	idivl	(%USP)
+	idivq	(%USP)
 
 	;;; Stack the quotient
-	movl	%eax, 4(%USP)
-	addl	$4, %USP
+	movq	%rax, 8(%USP)
+	addq	$8, %USP
 	ret
 
-	.align	4
+	.align  16
 
 ;;; _M_ASH
 ;;; 	Shift a machine integer by a signed quantity.
@@ -185,21 +189,21 @@
 
 	;;; Test the sign of the shift
 
-	testl	%ecx, %ecx
+	testq	%rcx, %rcx
 	js	L1.1
 
 	;;; Sign is positive: shift left and return
 
-	sall	%cl, %eax
+	salq	%cl, %rax
 	ret
 
 L1.1:	;;; Sign is negative: shift right by the absolute amount and return
 
 	negl	%ecx
-	sarl	%cl, %eax
+	sarq	%cl, %rax
 	ret
 
-	.align	4
+	.align  16
 
 ;;; _SHIFT
 ;;; 	POP interface to _M_ASH: arguments and results go via the user stack
@@ -209,14 +213,14 @@
 
 DEF_C_LAB (_shift)
 
-	movl	(%USP), %ecx
-	addl	$4, %USP
-	movl	(%USP), %eax
+	movq	(%USP), %rcx
+	addq	$8, %USP
+	movq	(%USP), %rax
 	call	C_LAB(_m_ash)
-	movl	%eax, (%USP)
+	movq	%rax, (%USP)
 	ret
 
-	.align	4
+	.align  16
 
 
 ;;; === POP INTEGER ARITHMETIC ========================================
@@ -231,26 +235,26 @@
 
 	;;; Pop the first popint into EAX, and make it a machine integer
 
-	movl	(%USP), %eax
-	addl	$4, %USP
-	sarl	$2, %eax
+	movq	(%USP), %rax
+	addq	$8, %USP
+	sarq	$2, %rax
 
 	;;; Copy the second operand into EDX and clear the popint bits
 
-	movl	(%USP), %edx
-	subl	$3, %edx
+	movq	(%USP), %rdx
+	subq	$3, %rdx
 
 	;;; Multiply EAX by EDX; result goes to EDX:EAX
 
-	imull	%edx
+	imulq	%rdx
 
 	;;; Return lower half of result (EAX) with popint bits restored
 
-	addl	$3, %eax
-	movl	%eax, (%USP)
+	addq	$3, %rax
+	movq	%rax, (%USP)
 	ret
 
-	.align	4
+	.align  16
 
 ;;; _PMULT_TESTOVF
 ;;;	Multiply two simple pop integers with a test for overflow.
@@ -263,35 +267,35 @@
 
 	;;; Copy the first popint into EAX, and make it a machine integer
 
-	movl	(%USP), %eax
-	sarl	$2, %eax
+	movq	(%USP), %rax
+	sarq	$2, %rax
 
 	;;; Copy the second operand into EDX and clear the popint bits
 
-	movl	4(%USP), %edx
-	subl	$3, %edx
+	movq	8(%USP), %rdx
+	subq	$3, %rdx
 
 	;;; Multiply EAX by EDX; result goes to EDX:EAX
 	;;; Overflow flag will be set if EDX:EAX is not a sign-extension
 	;;; of EAX
 
-	imull	%edx
+	imulq	%rdx
 
 	;;; Reset the popint bits in the lower half of the result (EAX)
 	;;; and put on the stack; LEAL and MOVL won't change the flags
 
-	leal	3(%eax), %eax
-	movl	%eax, 4(%USP)
+	leaq	3(%rax), %rax
+	movq	%rax, 8(%USP)
 
 	;;; Return <true> for OK, <false> for overflow
 
 	jo	L1.2
-	movl	$C_LAB(true), (%USP)
+	movq	$C_LAB(true), (%USP)
 	ret
-L1.2:	movl	$C_LAB(false), (%USP)
+L1.2:	movq	$C_LAB(false), (%USP)
 	ret
 
-	.align	4
+	.align  16
 
 ;;; _PDIV:
 ;;;	Divide two simple pop integers with no checking (implements fi_//)
@@ -304,29 +308,32 @@
 	;;; Copy the dividend into EAX, convert it to a machine integer
 	;;; and sign-extend through EDX:EAX
 
-	movl	4(%USP), %eax
-	sarl	$2, %eax
-	cltd
+	movq	8(%USP), %rax
+	sarq	$2, %rax
+
+;;; XXXX @@@@@	cltd
+        movq    %rax,%rdx
+        sarq    $63,%rdx
 
 	;;; Copy the divisor to ECX and convert to a machine integer
 
-	movl	(%USP), %ecx
-	sarl	$2, %ecx
+	movq	(%USP), %rcx
+	sarq	$2, %rcx
 
 	;;; Divide EDX:EAX by ECX, leaving the quotient in EAX and
 	;;; remainder in EDX
 
-	idivl	%ecx
+	idivq	%rcx
 
 	;;; Convert quotient and remainder back to popints and return
 
-	leal	3(, %edx, 4), %edx
-	movl	%edx, 4(%USP)
-	leal	3(, %eax, 4), %eax
-	movl	%eax, (%USP)
+	leaq	3(, %rdx, 4), %rdx
+	movq	%rdx, 8(%USP)
+	leaq	3(, %rax, 4), %rax
+	movq	%rax, (%USP)
 	ret
 
-	.align	4
+	.align  16
 
 ;;; _PINT_TESTOVF:
 ;;;	Convert machine integer to pop integer, checking for overflow.
@@ -341,20 +348,20 @@
 	;;; The conversion is just (_I << 2 + 3), but the shift has to be
 	;;; done in two 1-bit steps to allow the test
 
-	movl	(%USP), %eax
-	sall	$1, %eax
+	movq	(%USP), %rax
+	salq	$1, %rax
 	jo	L1.3
-	sall	$1, %eax
+	salq	$1, %rax
 	jo	L1.3
-	addl	$3, %eax
-	movl	%eax, (%USP)
-	subl	$4, %USP
-	movl	$C_LAB(true), (%USP)
+	addq	$3, %rax
+	movq	%rax, (%USP)
+	subq	$8, %USP
+	movq	$C_LAB(true), (%USP)
 	ret
-L1.3:	movl	$C_LAB(false), (%USP)
+L1.3:	movq	$C_LAB(false), (%USP)
 	ret
 
-	.align	4
+	.align  16
 
 ;;; _PSHIFT_TESTOVF:
 ;;;	Left-shift a simple popint by a positive machine integer amount,
@@ -370,15 +377,15 @@
 	;;; Copy the popint (I) to EAX and clear the popint bits.
 	;;; If it's zero, there's no need to shift.
 
-	movl	4(%USP), %eax
-	subl	$3, %eax
+	movq	8(%USP), %rax
+	subq	$3, %rax
 	je	L1.4
 
-	;;; Copy the shift amount (_N) to ECX. If it's > 30, then the shift
+	;;; Copy the shift amount (_N) to ECX. If it's > 61, then the shift
 	;;; will definitely overflow, so jump out.
 
-	movl	(%USP), %ecx
-	cmpl	$30, %ecx
+	movq	(%USP), %rcx
+	cmpq	$62, %rcx
 	jg	L2.1
 
 	;;; The left shift (SALL) only sets the overflow flag for a shift
@@ -387,28 +394,28 @@
 	;;; the same amount and compare the result with the copied original.
 	;;; If they're not the same, the left shift must have overflowed.
 
-	movl	%eax, %esi
-	sall	%cl, %eax
-	movl	%eax, %edx
-	sarl	%cl, %edx
-	cmpl	%edx, %esi
+	movq	%rax, %rsi
+	salq	%cl, %rax
+	movq	%rax, %rdx
+	sarq	%cl, %rdx
+	cmpq	%rdx, %rsi
 	jne	L2.1
 
 	;;; No overflow -- reset the popint bits in EAX, then return it
 	;;; with <true>
 
-	addl	$3, %eax
-	movl	%eax, 4(%USP)
-L1.4:	movl	$C_LAB(true), (%USP)
+	addq	$3, %rax
+	movq	%rax, 8(%USP)
+L1.4:	movq	$C_LAB(true), (%USP)
 	ret
 
 L2.1:	;;; Overflow -- pop the stack and return <false>
 
-	addl	$4, %USP
-	movl	$C_LAB(false), (%USP)
+	addq	$8, %USP
+	movq	$C_LAB(false), (%USP)
 	ret
 
-	.align	4
+	.align  16
 
 ;;; === BIGINTEGER ARITHMETIC =========================================
 
@@ -426,26 +433,32 @@
 
 	;;; Copy argument slices to EAX, EDX
 
-	movl	(%USP), %eax
-	movl	4(%USP), %edx
+	movq	(%USP), %rax
+	movq	8(%USP), %rdx
 
 	;;; Multiply EAX by EDX, leaving double length result in EDX:EAX
 
-	imull	%edx
+	imulq	%rdx
 
 	;;; Shift the top bit of the low half (EAX) into the bottom bit of
 	;;; the high half (EDX), then clear the top bit in EAX
 
-	shldl	$1, %eax, %edx
-	andl	$0x7FFFFFFF, %eax
+;;;	shldl	$1, %eax, %edx
+;;;	andl	$0x7FFFFFFF, %eax
+
+        movq    %rax, %rdx
+;;; altered for AMD64
+;;;        salq    $1, %rdx
+        sarq    $31, %rdx
+        andq    $0x7FFFFFFF, %rax
 
 	;;; Return the low part, then the high part
 
-	movl	%eax, 4(%USP)
-	movl	%edx, (%USP)
+	movq	%rax, 8(%USP)
+	movq	%rdx, (%USP)
 	ret
 
-	.align	4
+	.align  16
 
 ;;; _EDIV:
 ;;;	Divide a two-slice dividend by a single divisor.
@@ -457,29 +470,33 @@
 
 	;;; Pop divisor into ECX, then move lopart/hipart into EAX/EDX
 
-	movl	(%USP), %ecx
-	addl	$4, %USP
-	movl	(%USP), %eax
-	movl	4(%USP), %edx
+	movq	(%USP), %rcx
+	addq	$8, %USP
+	movq	(%USP), %rax
+	movq	8(%USP), %rdx
 
 	;;; Combine the two slices by shifting EDX right 1, and transferring
 	;;; its bottom bit into the top bit of EAX.
 
-	sall	$1, %eax
-	shrdl	$1, %edx, %eax
-	sarl	$1, %edx
+;;;	sall	$1, %eax
+;;;	shrdl	$1, %edx, %eax
+;;;	sarl	$1, %edx
+
+        salq    $31, %rdx
+        orq     %rdx, %rax
+        movq    $0, %rdx
 
 	;;; Divide EDX:EAX by ECX
 
-	idivl	%ecx
+	idivq	%rcx
 
 	;;; Return the remainder, then the quotient
 
-	movl	%edx, 4(%USP)
-	movl	%eax, (%USP)
+	movq	%rdx, 8(%USP)
+	movq	%rax, (%USP)
 	ret
 
-	.align	4
+	.align  16
 
 ;;; _BGI_MULT:
 ;;;	Multiply a biginteger by a signed machine integer and store the
@@ -498,21 +515,21 @@
 ;;;	ECX	the carry slice
 
 ;;; Memory usage:
-;;;	4(%USP)	the multiplier, left on the user stack
+;;;	8(%USP)	the multiplier, left on the user stack
 ;;;	SRCLIM	the source limit -- points one beyond the end of the source
 
 DEF_C_LAB (_bgi_mult)
 
 	;;; Load arguments to registers
 
-	movl	(%USP), %edi	;;; destination start
-	movl	4(%USP), %eax	;;; source limit
-	movl	8(%USP), %esi	;;; source start
-	addl    $8, %USP
+	movq	(%USP), %rdi	;;; destination start
+	movq	8(%USP), %rax	;;; source limit
+	movq	16(%USP), %rsi	;;; source start
+	addq    $16, %USP
 
 	;;; Save the source limit
 
-	movl	%eax, SRCLIM
+	movq	%rax, SRCLIM
 
 	;;; Initialise the carry slice to zero
 
@@ -527,7 +544,7 @@
 	;;; load the next slice into EAX and multiply into EDX:EAX
 
 	slodl
-	imull	4(%USP)
+	imull	8(%USP)
 
 	;;; Add the previous carry slice to the double-length result.
 
@@ -551,17 +568,18 @@
 	;;; Compare the source pointer (ESI) with the source limit;
 	;;; loop if ESI < SRCLIM.
 
-	cmpl	%esi, SRCLIM
+	cmpq	%rsi, SRCLIM
 	ja	L1.5
 
 	;;; Finished -- return the carry slice, then the next destination
 	;;; pointer
 
-	movl	%ecx, 4(%USP)
-	movl	%edi, (%USP)
+        movq    %rdi, (%USP)
+	movslq	%ecx, %rdi
+	movq	%rdi, 8(%USP)
 	ret
 
-	.align	4
+	.align  16
 
 ;;; _BGI_MULT_ADD:
 ;;;	Multiply a biginteger by a signed machine integer and add it into
@@ -580,7 +598,7 @@
 ;;;	ECX	the carry slice and the destination slice for the addition
 
 ;;; Memory usage:
-;;;	4(%USP)	the multiplier, left on the user stack
+;;;	8(%USP)	the multiplier, left on the user stack
 ;;;	SRCLIM	the source limit -- points one beyond the end of the source
 ;;;		(declared above)
 
@@ -588,14 +606,14 @@
 
 	;;; Load arguments to registers
 
-	movl	(%USP), %edi	;;; destination start
-	movl	4(%USP), %eax	;;; source limit
-	movl	8(%USP), %esi	;;; source start
-	addl    $8, %USP
+	movq	(%USP), %rdi	;;; destination start
+	movq	8(%USP), %rax	;;; source limit
+	movq	16(%USP), %rsi	;;; source start
+	addq    $16, %USP
 
 	;;; Save the source limit
 
-	movl	%eax, SRCLIM
+	movq	%rax, SRCLIM
 
 	;;; Set the initial carry slice to zero
 
@@ -610,7 +628,7 @@
 	;;; load the next slice into EAX and multiply into EDX:EAX
 
 	slodl
-	imull	4(%USP)
+	imull	8(%USP)
 
 	;;; Add the previous carry slice to the double-length result.
 
@@ -622,7 +640,7 @@
 	;;; Load the next destination slice into ECX and add it into
 	;;; EDX:EAX (just like the carry slice)
 
-	movl	(%edi), %ecx
+	movl	(%rdi), %ecx
 	addl	%ecx, %eax
 	adcl	$0, %edx
 	sarl	$31, %ecx
@@ -643,17 +661,18 @@
 	;;; Compare the source pointer (ESI) with the source limit;
 	;;; loop if ESI < SRCLIM
 
-	cmpl	%esi, SRCLIM
+	cmpq	%rsi, SRCLIM
 	ja	L1.6
 
 	;;; Finished -- return carry slice, then the next destination
 	;;; pointer
 
-	movl	%ecx, 4(%USP)
-	movl	%edi, (%USP)
+        movq    %rdi, (%USP)
+	movslq	%ecx, %rdi
+	movq	%rdi, 8(%USP)
 	ret
 
-	.align	4
+	.align  16
 
 ;;; _BGI_DIV:
 ;;;	Divide a biginteger by a signed machine integer into a destination
@@ -676,10 +695,10 @@
 
 	;;; Load arguments to registers
 
-	movl	(%USP), %edi	;;; destination end
-	movl	4(%USP), %esi	;;; source end
-	movl	8(%USP), %ecx	;;; source start
-	addl	$12, %USP
+	movq	(%USP), %rdi	;;; destination end
+	movq	8(%USP), %rsi	;;; source end
+	movq	16(%USP), %rcx	;;; source start
+	addq	$24, %USP
 
 	;;; Set the direction flag:
 	;;; division works from the last slice back to the first slice,
@@ -690,8 +709,8 @@
 	;;; ESI and EDI point one beyond the last source and destination
 	;;; slices, so do an initial adjustment
 
-	subl	$4, %esi
-	subl	$4, %edi
+	subq	$4, %rsi
+	subq	$4, %rdi
 
 	;;; Load the top source slice (which carries the sign bit) into EAX;
 	;;; sign-extend into EDX:EAX then branch to do the first division
@@ -722,15 +741,16 @@
 	;;; Compare the source pointer (ESI) with the source start (ECX);
 	;;; loop if ESI >= ECX
 
-	cmpl	%esi, %ecx
+	cmpq	%rsi, %rcx
 	jbe	L1.7
 
 	;;; Finished -- return the last remainder
 
-	movl	%edx, (%USP)
+	movslq	%edx, %rax
+        movq    %rax, (%USP)
 	ret
 
-	.align	4
+	.align  16
 
 
 ;;; === COMPUTE ARRAY SUBSCRIPTS ======================================
@@ -769,28 +789,28 @@
 
 	;;; Initialise ESI to point at array parameters
 
-	leal	_PD_ARRAY_TABLE(%PB), %esi
+	leaq	_PD_ARRAY_TABLE(%PB), %rsi
 	cld
 
 	;;; Initialise ECX with subscript offset
 
-	movl	(%esi), %ecx
-	addl	$4, %esi
+	movq	(%rsi), %rcx
+	addq	$8, %rsi
 
 	;;; Load first dimension to EAX: may be zero already for a
 	;;; 0-dimensional array
 
-	slodl
-	testl	%eax, %eax
+	slodq
+	testq	%rax, %rax
 	jz	L1.10
 
 L1.8:	;;; Start of loop:
 	;;; get the next index from the stack into EDX and check it's
 	;;; a pop integer
 
-	movl	(%USP), %edx
-	addl	$4, %USP
-	testl	$2, %edx
+	movq	(%USP), %rdx
+	addq	$8, %USP
+	testq	$2, %rdx
 	jz	array_sub_error
 
 	;;; Subtract the next lower bound from the index and check it for
@@ -798,53 +818,53 @@
 	;;; Both index and lower bound are popints; the subtraction clears
 	;;; the bottom two bits.
 
-	subl	(%esi), %edx
-	addl	$4, %esi    		;;; bump up the arg pointer
-	cmpl	%eax, %edx
+	subq	(%rsi), %rdx
+	addq	$8, %rsi    		;;; bump up the arg pointer
+	cmpq	%rax, %rdx
 	jae	array_sub_error
 
 	;;; Get the dimension scaling factor in EAX and use it to scale
 	;;; the index (NB: 0 means 1, so don't multiply!)
 
-	slodl
-	testl	%eax, %eax
+	slodq
+	testq	%rax, %rax
 	jz	L1.9
-	imull	%eax, %edx
+	imulq	%rax, %rdx
 
 L1.9:	;;; Add to the running total
 
-	addl	%edx, %ecx
+	addq	%rdx, %rcx
 
 	;;; Get the next dimension in EAX and loop if non-zero
 
-	slodl
-	testl	%eax, %eax
+	slodq
+	testq	%rax, %rax
 	jnz	L1.8
 
 L1.10:	;;; Finished -- push total subscript to stack, push array vector
 	;;; to stack, and then chain subscripting procedure
 
-	subl	$8, %USP
-	movl	%ecx, 4(%USP)
-	movl	_PD_ARRAY_VECTOR(%PB), %eax
-	movl	%eax, (%USP)
-	movl	_PD_ARRAY_SUBSCR_PDR(%PB), %eax
-	jmp	*_PD_EXECUTE(%eax)
+	subq	$16, %USP
+	movq	%rcx, 8(%USP)
+	movq	_PD_ARRAY_VECTOR(%PB), %rax
+	movq	%rax, (%USP)
+	movq	_PD_ARRAY_SUBSCR_PDR(%PB), %rax
+	jmp	*_PD_EXECUTE(%rax)
 
 array_sub_error:
 
 	;;; Index on top of stack is invalid (either not a popint, or
 	;;; out of range)
 
-	subl	$4, %USP		;;; reveal the last index again
+	subq	$8, %USP		;;; reveal the last index again
 	jmp	XC_LAB(weakref Sys$-Array$-Sub_error)
 	call	XC_LAB(setpop)		;;; in case the error returns
 
-	.align	4
+	.align  16
 
 	.data
 SRCLIM:
-	.long	0
+	.quad	0
 
 /***************** end labels for wrapping structures *****************/
 
@@ -860,16 +880,18 @@
 
 
 /* --- Revision History ---------------------------------------------------
+--- Waldek Hebisch, Feb 8 2005
+        Converted from i386 to AMD64
 --- Aaron Sloman, Jan  7 2003
-	Replaced
-		call	XC_LAB(weakref Sys$-Array$-Sub_error)
-	with
-		jmp	XC_LAB(weakref Sys$-Array$-Sub_error)
-	as suggested by
-		hebisch@math.uni.wroc.pl (Waldek Hebisch)
-	following error report by
-		lucb@telus.net
-	both posted to comp.lang.pop
+       Replaced
+               call    XC_LAB(weakref Sys$-Array$-Sub_error)
+       with
+               jmp     XC_LAB(weakref Sys$-Array$-Sub_error)
+       as suggested by
+               hebisch@math.uni.wroc.pl (Waldek Hebisch)
+       following error report by
+               lucb@telus.net
+       both posted to comp.lang.pop
 
 --- Robert Duncan, Aug  9 1996
 	Removed special cases for S*CO
